%define upstream_name    MooseX-Getopt
%define upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Optional meta attribute trait for ignoring params
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Getopt::Long) >= 2.370.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.81.0
BuildRequires: perl(Moose) >= 0.560.0
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Requires) >= 0.50.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildArch:  noarch

Requires:   perl(Getopt::Long::Descriptive)
%description
This is a role which provides an alternate constructor for creating objects
using parameters passed in from the command line.

This module attempts to DWIM as much as possible with the command line
params by introspecting your class's attributes. It will use the name of
your attribute as the command line option, and if there is a type
constraint defined, it will configure Getopt::Long to handle the option
accordingly.

You can use the trait the MooseX::Getopt::Meta::Attribute::Trait manpage or
the attribute metaclass the MooseX::Getopt::Meta::Attribute manpage to get
non-default commandline option names and aliases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 370183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 342394
- update to 0.50

* Fri Aug 31 2012 kharec <kharec> 0.470.0-1.mga3
+ Revision: 286322
- update to 0.47

* Tue Jun 05 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 255171
- update to 0.45

* Thu Feb 23 2012 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 213062
- update to 0.39

* Thu Jan 05 2012 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 191223
- update to 0.38

* Mon Apr 04 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 80383
- update to 0.37

* Wed Feb 16 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 52595
- update to 0.35

* Sun Jan 23 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 33966
- mageia rebuild
- imported package perl-MooseX-Getopt

